# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname ruby-zoom

Name: %pkgname
Version: 0.4.1
Release: alt2

Summary: Ruby binding to the Z39.50 Object-Orientation Model (ZOOM)
Group: Development/Ruby
License: LGPL
Url: http://rubyforge.org/projects/ruby-zoom/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

# Automatically added by buildreq on Sun May 10 2009 (-bi)
BuildRequires: libruby-devel libwrap-devel libyaz-devel ruby-test-unit

%description
Ruby/ZOOM provides a Ruby binding to the Z39.50 Object-Orientation Model 
(ZOOM), an abstract object-oriented programming interface to a subset of the 
services specified by the Z39.50 standard, also known as the international 
standard ISO 23950.

This software is based (and therefore depends) on YAZ, a free-software 
implementation of the Z39.50/SRW/SRU standards, but could be easily ported to 
any ZOOM compliant implementation.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %pkgname-%version
%patch -p1

%build
pushd src
%ruby_configure
%make_build
popd
# EPIC FAIL
rm -f test/package_test.rb
for t in test/*_test.rb; do
  ruby -r test/unit -Isrc -r zoom "$t"
done

%install
pushd src
%makeinstall_std
popd
%rdoc src/

%files
%doc AUTHORS README
%ruby_sitearchdir/*

%files doc
%ruby_ri_sitedir/ZOOM*

%changelog
* Sun Sep 26 2010 Alexey I. Froloff <raorn@altlinux.org> 0.4.1-alt2
- Rebuilt with Ruby 1.9.2

* Sun May 10 2009 Alexey I. Froloff <raorn@altlinux.org> 0.4.1-alt1
- Built for Sisyphus

